gi-gdkpixbuf-2.0.32: GdkPixbuf bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkPixbuf.Structs.PixbufModulePattern

Contents

- Exported types
- Methods
- Properties
  - mask
  - prefix
  - relevance

Description

The signature prefix for a module.

The signature of a module is a set of prefixes. Prefixes are encoded as pairs of ordinary strings, where the second string, called the mask, if not `NULL`, must be of the same length as the first one and may contain ' ', '!', 'x', 'z', and 'n' to indicate bytes that must be matched, not matched, "don't-care"-bytes, zeros and non-zeros, respectively.

Each prefix has an associated integer that describes the relevance of the prefix, with 0 meaning a mismatch and 100 a "perfect match".

Starting with gdk-pixbuf 2.8, the first byte of the mask may be '*', indicating an unanchored pattern that matches not only at the beginning, but also in the middle. Versions prior to 2.8 will interpret the '*' like an 'x'.

The signature of a module is stored as an array of `GdkPixbufModulePatterns`. The array is terminated by a pattern where the `prefix` is `NULL`.

### c code

    GdkPixbufModulePattern *signature[] = {
      { "abcdx", " !x z", 100 },
      { "bla", NULL,  90 },
      { NULL, NULL, 0 }
    };

In the example above, the signature matches e.g. "auud\0" with relevance 100, and "blau" with relevance 90.

Since: 2.2

Synopsis

- newtype PixbufModulePattern = PixbufModulePattern (ManagedPtr PixbufModulePattern)
- newZeroPixbufModulePattern :: MonadIO m => m PixbufModulePattern
- clearPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> m ()
- getPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> m (Maybe Text)
- setPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> CString -> m ()
- clearPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> m ()
- getPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> m (Maybe Text)
- setPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> CString -> m ()
- getPixbufModulePatternRelevance :: MonadIO m => PixbufModulePattern -> m Int32
- setPixbufModulePatternRelevance :: MonadIO m => PixbufModulePattern -> Int32 -> m ()

# Exported types

newtype PixbufModulePattern Source #

Memory-managed wrapper type.

Constructors

PixbufModulePattern (ManagedPtr PixbufModulePattern) |

#### Instances

Instances details

Eq PixbufModulePattern Source # |
Instance details Defined in GI.GdkPixbuf.Structs.PixbufModulePattern Methods (==) :: PixbufModulePattern -> PixbufModulePattern -> Bool Source # (/=) :: PixbufModulePattern -> PixbufModulePattern -> Bool Source #
BoxedPtr PixbufModulePattern Source # |
Instance details Defined in GI.GdkPixbuf.Structs.PixbufModulePattern Methods boxedPtrCopy :: PixbufModulePattern -> IO PixbufModulePattern Source # boxedPtrFree :: PixbufModulePattern -> IO () Source #
CallocPtr PixbufModulePattern Source # |
Instance details Defined in GI.GdkPixbuf.Structs.PixbufModulePattern Methods boxedPtrCalloc :: IO (Ptr PixbufModulePattern) Source #
ManagedPtrNewtype PixbufModulePattern Source # |
Instance details Defined in GI.GdkPixbuf.Structs.PixbufModulePattern Methods toManagedPtr :: PixbufModulePattern -> ManagedPtr PixbufModulePattern Source #
tag ~ 'AttrSet => Constructible PixbufModulePattern tag Source # |
Instance details Defined in GI.GdkPixbuf.Structs.PixbufModulePattern Methods new :: MonadIO m => (ManagedPtr PixbufModulePattern -> PixbufModulePattern) -> [AttrOp PixbufModulePattern tag] -> m PixbufModulePattern Source #

newZeroPixbufModulePattern :: MonadIO m => m PixbufModulePattern Source #

Construct a `PixbufModulePattern` struct initialized to zero.

# Methods

# Properties

## mask

mask containing bytes which modify how the prefix is matched against test data

clearPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> m () Source #

Set the value of the “`mask`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #mask

getPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> m (Maybe Text) Source #

Get the value of the “`mask`” field. When overloading is enabled, this is equivalent to

    get pixbufModulePattern #mask

setPixbufModulePatternMask :: MonadIO m => PixbufModulePattern -> CString -> m () Source #

Set the value of the “`mask`” field. When overloading is enabled, this is equivalent to

    set pixbufModulePattern [ #mask := value ]

## prefix

the prefix for this pattern

clearPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> m () Source #

Set the value of the “`prefix`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #prefix

getPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> m (Maybe Text) Source #

Get the value of the “`prefix`” field. When overloading is enabled, this is equivalent to

    get pixbufModulePattern #prefix

setPixbufModulePatternPrefix :: MonadIO m => PixbufModulePattern -> CString -> m () Source #

Set the value of the “`prefix`” field. When overloading is enabled, this is equivalent to

    set pixbufModulePattern [ #prefix := value ]

## relevance

relevance of this pattern

getPixbufModulePatternRelevance :: MonadIO m => PixbufModulePattern -> m Int32 Source #

Get the value of the “`relevance`” field. When overloading is enabled, this is equivalent to

    get pixbufModulePattern #relevance

setPixbufModulePatternRelevance :: MonadIO m => PixbufModulePattern -> Int32 -> m () Source #

Set the value of the “`relevance`” field. When overloading is enabled, this is equivalent to

    set pixbufModulePattern [ #relevance := value ]